# @summary Class responsible for preparing rke2
class rke2::config {
  # create the config directory /etc/rancher/rke2/config.yaml.d
  file { ['/etc/rancher',
      '/etc/rancher/rke2',
      '/etc/rancher/rke2/config.yaml.d',
    ]:
      ensure => 'directory',
  }

  # create the config file /etc/rancher/rke2/config.yaml.d/00-config.yaml
  file { '/etc/rancher/rke2/config.yaml.d/00-config.yaml':
    ensure  => file,
    mode    => '0644',
    content => template('rke2/00-config.yaml.erb'),
    require => [
      File['/etc/rancher/rke2/config.yaml.d'],
    ],
    notify  => Service['rke2'],
  }
}
