# @summary Class responsible for preparing rke2
class rke2::pre {
  # print a debug message, to show it has been loaded
  debug('rke2::pre has been loaded')
  exec { 'rke::pre::print':
    command => '/bin/echo "rke2::pre has been loaded"',
    path    => ['/bin', '/usr/bin', '/sbin', '/usr/sbin'],
  }

  file { 'envfile':
    path   => '/tmp/rke2_environment',
  }

  file_line { 'rke2_node_type':
    ensure => present,
    path   => '/tmp/rke2_environment',
    line   => "INSTALL_RKE2_TYPE=${rke2::node_type}",
    match  => '^INSTALL_RKE2_TYPE=',
  }
  if !empty($rke2::version) {
    file_line { 'rke2_version':
      ensure => present,
      path   => '/tmp/rke2_environment',
      line   => "INSTALL_RKE2_VERSION=${rke2::version}",
      match  => '^INSTALL_RKE2_VERSION=',
    }
  } else {
    file_line { 'rke2_version':
      ensure => absent,
      path   => '/tmp/rke2_environment',
      line   => 'INSTALL_RKE2_VERSION=',
      match  => '^INSTALL_RKE2_VERSION=',
    }
  }
  if !empty($rke2::channel) {
    file_line { 'rke2_channel':
      ensure => present,
      path   => '/tmp/rke2_environment',
      line   => "INSTALL_RKE2_CHANNEL=${rke2::channel}",
      match  => '^INSTALL_RKE2_CHANNEL=',
    }
  } else {
    file_line { 'rke2_channel':
      ensure => absent,
      path   => '/tmp/rke2_environment',
      line   => 'INSTALL_RKE2_CHANNEL=',
      match  => '^INSTALL_RKE2_CHANNEL=',
    }
  }
}
